zenilib: zenilib/jni/external/freetype2/src/lzw/ftzopen.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
ftzopen.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | FT_LzwStateRec_

## Macros

#define | FT_LZW_DEFAULT_STACK_SIZE 64
#define | FT_LZW_IN_BUFF_SIZE 64
#define | LZW_BIT_MASK 0x1f
#define | LZW_BLOCK_MASK 0x80
#define | LZW_CLEAR 256
#define | LZW_FIRST 257
#define | LZW_INIT_BITS 9
#define | LZW_MASK(n) ( ( 1U << (n) ) - 1U )
#define | LZW_MAX_BITS 16

## Typedefs

typedef enum FT_LzwPhase_ | FT_LzwPhase
typedef struct FT_LzwStateRec_ * | FT_LzwState
typedef struct FT_LzwStateRec_ | FT_LzwStateRec

## Enumerations

enum | FT_LzwPhase_ { FT_LZW_PHASE_START = 0, FT_LZW_PHASE_CODE, FT_LZW_PHASE_STACK, FT_LZW_PHASE_EOF }

## Functions

| ft_lzwstate_done (FT_LzwState state)
| ft_lzwstate_init (FT_LzwState state, FT_Stream source)
| ft_lzwstate_io (FT_LzwState state, FT_Byte *buffer, FT_ULong out_size)
| ft_lzwstate_reset (FT_LzwState state)

## Macro Definition Documentation

#define FT_LZW_DEFAULT_STACK_SIZE 64

Definition at line 36 of file ftzopen.h.

#define FT_LZW_IN_BUFF_SIZE 64

Definition at line 35 of file ftzopen.h.

#define LZW_BIT_MASK 0x1f

Definition at line 44 of file ftzopen.h.

Referenced by ft_lzwstate_io().

#define LZW_BLOCK_MASK 0x80

Definition at line 45 of file ftzopen.h.

Referenced by ft_lzwstate_io().

#define LZW_CLEAR 256

Definition at line 41 of file ftzopen.h.

Referenced by ft_lzwstate_io().

#define LZW_FIRST 257

Definition at line 42 of file ftzopen.h.

Referenced by ft_lzwstate_io().

#define LZW_INIT_BITS 9

Definition at line 38 of file ftzopen.h.

Referenced by ft_lzwstate_get_code(), ft_lzwstate_io(), and ft_lzwstate_reset().

#define LZW_MASK | ( |  | n | ) | ( ( 1U << (n) ) - 1U )

Definition at line 46 of file ftzopen.h.

Referenced by ft_lzwstate_get_code().

#define LZW_MAX_BITS 16

Definition at line 39 of file ftzopen.h.

Referenced by ft_lzwstate_io(), and ft_lzwstate_stack_grow().

## Typedef Documentation

typedef enum FT_LzwPhase_ FT_LzwPhase

typedef struct FT_LzwStateRec_ * FT_LzwState

typedef struct FT_LzwStateRec_ FT_LzwStateRec

## Enumeration Type Documentation

enum FT_LzwPhase_

Enumerator
FT_LZW_PHASE_START |
FT_LZW_PHASE_CODE |
FT_LZW_PHASE_STACK |
FT_LZW_PHASE_EOF |

Definition at line 49 of file ftzopen.h.

## Function Documentation

ft_lzwstate_done | ( | FT_LzwState | state | ) |

Definition at line 219 of file ftzopen.c.

References FT_FREE, ft_lzwstate_reset(), FT_ZERO, and NULL.

ft_lzwstate_init | ( | FT_LzwState | state,
|  | FT_Stream | source
| ) |  |

Definition at line 199 of file ftzopen.c.

References ft_lzwstate_reset(), FT_ZERO, and NULL.

ft_lzwstate_io | ( | FT_LzwState | state,
|  | FT_Byte * | buffer,
|  | FT_ULong | out_size
| ) |  |

Definition at line 247 of file ftzopen.c.

References FT_ASSERT, FT_LZW_PHASE_CODE, FT_LZW_PHASE_EOF, FT_LZW_PHASE_STACK, FT_LZW_PHASE_START, ft_lzwstate_get_code(), ft_lzwstate_prefix_grow(), FT_Stream_Seek(), FT_Stream_TryRead(), FTLZW_STACK_PUSH, LZW_BIT_MASK, LZW_BLOCK_MASK, LZW_CLEAR, LZW_FIRST, LZW_INIT_BITS, and LZW_MAX_BITS.

ft_lzwstate_reset | ( | FT_LzwState | state | ) |

Definition at line 185 of file ftzopen.c.

References FT_LZW_PHASE_START, and LZW_INIT_BITS.

Referenced by ft_lzwstate_done(), and ft_lzwstate_init().